Commit 72e5f1ec authored by Kenneth Graunke's avatar Kenneth Graunke

intel_stub: Pretend to support command parser version 9.

Haswell requires a relatively new command parser version to enable
GL 4.5, and we'd like to compile those shaders.  Since we don't actually
execute anything, it doesn't really matter.  Claim version 9, the
current version.
Reviewed-by: Lionel Landwerlin's avatarLionel Landwerlin <lionel.g.landwerlin@intel.com>
parent 7164d170
......@@ -200,6 +200,9 @@ ioctl(int fd, unsigned long request, ...)
case I915_PARAM_CHIPSET_ID:
*getparam->value = strtod(getenv("INTEL_DEVID_OVERRIDE"), NULL);
break;
case I915_PARAM_CMD_PARSER_VERSION:
*getparam->value = 9;
break;
}
return 0;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment